'use strict';

module.exports = () => {
  const config = exports = {};

  config.logger = {
    level: 'INFO',
    consoleLevel: 'INFO',
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/platform',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    },
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  return config;
};
